package com.mysema.rdf.demo.domain;

import static com.mysema.query.types.PathMetadataFactory.*;

import com.mysema.query.types.*;
import com.mysema.query.types.path.*;


/**
 * QCompany is a Querydsl query type for Company
 */
public class QCompany extends EntityPathBase<Company> {

    private static final long serialVersionUID = -1534447787;

    public static final QCompany company = new QCompany("company");

    public final QParty _super = new QParty(this);

    //inherited
    public final StringPath displayName = _super.displayName;

    public final SetPath<Person, QPerson> employees = createSet("employees", Person.class, QPerson.class);

    //inherited
    public final StringPath id = _super.id;

    public final StringPath officialName = createString("officialName");

    public QCompany(String variable) {
        super(Company.class, forVariable(variable));
    }

    public QCompany(BeanPath<? extends Company> entity) {
        super(entity.getType(), entity.getMetadata());
    }

    public QCompany(PathMetadata<?> metadata) {
        super(Company.class, metadata);
    }

}

